org.apache.avro.perf.test.record.jmh_generated

## Class ResolvingRecordTest_TestStateDecode_jmhType_B1

- java.lang.Object
- - org.apache.avro.perf.test.BasicState
  - - org.apache.avro.perf.test.record.ResolvingRecordTest.TestStateDecode
    - - org.apache.avro.perf.test.record.jmh_generated.ResolvingRecordTest_TestStateDecode_jmhType_B1

Direct Known Subclasses:
  ResolvingRecordTest_TestStateDecode_jmhType_B2

    public class ResolvingRecordTest_TestStateDecode_jmhType_B1
    extends ResolvingRecordTest.TestStateDecode

### Field Summary

### Fields inherited from class org.apache.avro.perf.test.BasicState

`BATCH_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`ResolvingRecordTest_TestStateDecode_jmhType_B1()`

### Method Summary

### Methods inherited from class org.apache.avro.perf.test.record.ResolvingRecordTest.TestStateDecode

`doSetupInvocation, doSetupTrial`

### Methods inherited from class org.apache.avro.perf.test.BasicState

`getBatchSize, getNullOutputStream, getRandom, newDecoder, newEncoder, newEncoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResolvingRecordTest_TestStateDecode_jmhType_B1

    public ResolvingRecordTest_TestStateDecode_jmhType_B1()